﻿.top5 {
  margin-top: 5px;
}

.top10 {
  margin-top: 10px;
}

.top20 {
  margin-top: 20px;
}

.top40 {
  margin-top: 40px;
}

.top50 {
  margin-top: 50px;
}

.top75 {
  margin-top: 75px;
}

.top100 {
  margin-top: 100px;
}

body {
  overflow-y: scroll !important;
}

#expand-footer {
  cursor: pointer;
}
/* Navbar */
#rmMainMenu ul > li {
  text-align: left;
}

#rmMainMenu a {
  text-align: left !important;
  color: #757575;
}

.navbar {
  margin-bottom: 0px !important;
}

  .navbar .navbar-nav {
    display: inline-block;
    float: none;
    vertical-align: top;
  }

  .navbar .navbar-collapse {
    text-align: center;
  }

.navbar-toggle {
  background-color: #1F3242 !important;
}

  .navbar-toggle .icon-bar {
    background-color: whitesmoke;
  }

.dcnr-body {
  display: flex;
  flex-direction: column;
}

.ErrMsg {
  background-color: white;
  color: red;
  border: 3px groove Black;
}

/*.nav-container {
    text-align: center;
}*/
.btnToLink {
  background: none !important;
  color: inherit;
  border: none;
  padding: 0 !important;
  font: inherit;
  cursor: pointer;
}

.dcnr-footer {
  height: 50px;
  margin-top: auto; /* this is the solution */
  background-image: url('../Content/Images/footer.png');
  color: white;
  text-align: center;
  margin-top: 15px;
  position: relative;
}


.top-navigation-bar {
  background: #1F3242;
  /*word-spacing: 5px;*/
  color: white;
  text-align: center;
  font-family: 'Roboto Condensed', sans-serif;
  font-size: 14px;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
  padding-top: 10px;
  height: 45px;
}

.top-enterprise {
  display: none;
}

.mid-navigation-bar {
  background-image: url('../Content/Images/topo-bg.png');
  padding: 4px 0;
  color: white;
  text-align: center;
  font-family: 'Slabo 27px', serif;
  font-size: 20px;
  height: 35px;
  width: 100%;
}

.divBorder {
	border: solid 1px black;
}

.underline {
  text-decoration: underline;
}

.text-bold {
  font-weight: bold;
}

.text-centerLeft {
  text-align: left;
}

.text-centerRight {
  text-align: right;
}

.text-leftCenter {
  text-align: center;
}

.text-rightCenter {
  text-align: center;
}


  @media (max-width: 767.98px) {
    .img-dcnr {
      background-image: url('../Content/Images/DCNRseal.png');
      height: 58px;
      width: 54px;
      z-index: 100;
      position: absolute;
      margin-top: 45px;
      -webkit-background-size: contain;
      -moz-background-size: contain;
      -o-background-size: contain;
      background-size: contain;
      background-position-y: 2px;
      background-position-x: 1px;
      background-repeat: no-repeat;
    }

    .navbar-dcnr {
      background-color: white;
      font-family: 'Oswald', sans-serif;
      font-size: 18px;
      margin-top: 40px;
      margin-left: -35px;
    }
  }

  @media (min-width: 768px) {
    .text-centerLeft {
      text-align: center;
    }

    .text-centerRight {
      text-align: center;
    }

    .text-leftCenter {
      text-align: left;
    }

    .text-rightCenter {
      text-align: right;
    }

    .label-center .control-label {
      text-align: center !important;
    }
    .modal-xl {
      width: 1200px;
      max-width: 1200px;
    }

    .top-enterprise {
      position: fixed;
      top: 0;
      z-index: 100;
      margin-left: 10px;
      padding-left: 5px;
      padding-right: 5px;
      margin-top: 10px;
      background-color: whitesmoke;
      display: inline;
    }

    /*.img-dcnr {
    background-image: url('../Content/Images/DCNRseal.png');
    height: 145px;
    width: 135px;
    z-index: 100;
    position: absolute;
    -webkit-background-size: contain;
    -moz-background-size: contain;
    -o-background-size: contain;
    background-size: contain;
    background-position-y: 10px;
    background-position-x: -5px;
    background-repeat: no-repeat;
  }*/

    .img-dcnr {
      background-image: url('../Content/Images/DCNRseal.png');
      height: 145px;
      width: 100px;
      z-index: 100;
      position: absolute;
      -webkit-background-size: contain;
      -moz-background-size: contain;
      -o-background-size: contain;
      background-size: contain;
      background-position-y: 30px;
      background-position-x: -5px;
      background-repeat: no-repeat;
    }

    .navbar-dcnr {
      background-color: white;
      font-family: 'Oswald', sans-serif;
      font-size: 18px;
      margin-top: 65px;
      margin-left: 75px;
      margin-right: 45px;
    }

    .navbar-nav > li {
      margin-right: 1px !important;
    }

      .navbar-nav > li > a {
        padding: 5px 10px !important;
      }
  }

  .NoMessage {
  display: none;
}

.ErrMsg {
  background-color: white;
  color: red;
  border: 3px groove Black;
}

.InfoMsg {
  border: 3px groove gray;
}

/* Updated MVC Bootstrap Dropdown Submenu */
.dropdown-submenu {
  position: relative;
}

  .dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    -webkit-border-radius: 5px 5px 5px 5px;
    -moz-border-radius: 5px 5px 5px 5px;
    border-radius: 5px 5px 5px 5px;
  }

  .dropdown-submenu:hover > .dropdown-menu {
    display: block;
  }

  /*
  todo: Move the triangle menu indicator
  .menu-fix > a:after {
    float: left;
}*/

  .dropdown-submenu > a:after {
    display: block;
    content: "  ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #cccccc;
    margin-top: 5px;
    margin-right: -10px;
  }

  .dropdown-submenu:hover > a:after {
    border-left-color: #ffffff;
  }

  .dropdown-submenu.pull-left {
    float: none;
  }

    .dropdown-submenu.pull-left > .dropdown-menu {
      left: -100%;
      margin-left: 10px;
      -webkit-border-radius: 6px 0 6px 6px;
      -moz-border-radius: 6px 0 6px 6px;
      border-radius: 6px 0 6px 6px;
    }

/*Extra*/
/*div ul {
    list-style-type: none;
}*/

/*End Of Updated DropDown and NavBar CSS */


.toast-top-center {
  top: 25%;
  left: 50%;
  margin-left: -150px;
}


.roundContain {
  border-style: solid;
  border-color: black;
  border-radius: 25px;
  margin: 5px;
  padding: 10px;
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

.scrollIt {
  overflow-y: scroll;
}

.highlight {
  color: #fff;
  background: #1976b1;
  font-weight: bold;
}

.highlightGreen {
  color: indianred;
  background: #4fb400 !important;
  font-weight: bold;
}

.highlight2 {
  color: red;
  font-weight: bold;
  background: #d9e9f1;
  font-size: larger;
}

.black {
  color: black;
  font-weight: bolder;
}

.gray {
  color: gray;
  font-weight: bolder;
}

.gold {
  color: goldenrod;
  font-weight: bold;
}

.yellow {
  color: yellow;
  font-weight: bold;
}

.blue {
  color: cornflowerblue;
}

.white {
  color: white;
}

.green {
  color: green;
  font-weight: bolder;
}

.red {
  color: red;
  font-weight: bolder;
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* CSS to support SSRUMenu.js */
/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

/*.reportMenu {
}*/

.reportMenuBarUpper {
  background-color: #82c9d8;
  font-size: larger;
  font-weight: bolder;
  font-family: Arial;
  color: white;
}

.reportMenuBarLower {
  position: fixed;
  bottom: 2em;
  right: 2em;
  background-color: #82c9d8;
  font-size: larger;
  font-weight: bolder;
  font-family: Arial;
  color: white;
}

.reportMenuBar input {
  background-color: #82c9d8;
  font-size: larger;
  font-weight: bolder;
  font-family: Arial;
  color: black;
}

.row-scroll {
  margin-right: 0px !important;
  /*margin-left: 0px !important;*/
}

.row-condensed {
  margin-bottom: 0px !important;
  margin-top: 0px !important;
  padding-bottom: 0px !important;
  padding-top: 0px !important;
}

  .row-condensed > .table > thead > tr > th,
  .row-condensed > tbody > tr > th,
  .row-condensed > .table > tfoot > tr > th,
  .row-condensed > .table > thead > tr > td,
  .row-condensed > tbody > tr > td,
  .row-condensed > .table > tfoot > tr > td {
    padding-left: 1px !important;
    padding-right: 1px !important;
    margin-bottom: 0px !important;
    margin-top: 0px !important;
    padding-bottom: 0px !important;
    padding-top: 0px !important;
  }

.checkboxlist {
  padding-top: 9px;
}

  .checkboxlist label {
    font-weight: normal !important;
    padding-left: 3px;
  }

.dataTables_wrapper .dataTables_paginate .paginate_button {
  padding: 0px !important;
  margin-left: 0px !important;
}
.divBorder {
  border: solid 1px black;
}

/*TABLET PORTRAIT*/
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : portrait) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*TABLET LANDSCAPE*/
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*RETINA IPAD PORTRAIT*/
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : portrait) and (-webkit-min-device-pixel-ratio: 2) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*RETINA IPAD LANDSCAPE*/
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) and (-webkit-min-device-pixel-ratio: 2) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*IPAD PRO PROTRAIT*/
@media only screen and (min-device-width: 1024px) and (max-device-width: 1024px) and (orientation: portrait) and (-webkit-min-device-pixel-ratio: 2) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*IPAD PRO LANDSCAPE*/
@media only screen and (min-device-width: 1366px) and (max-device-width: 1366px) and (orientation: landscape) and (-webkit-min-device-pixel-ratio: 2) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*NEXUS 7 PORTRAIT*/
@media screen and (device-width: 601px) and (device-height: 906px) and (-webkit-min-device-pixel-ratio: 1.331) and (-webkit-max-device-pixel-ratio: 1.332) and (orientation: portrait) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/* NEXUS 7 LANDSCAPE */
@media screen and (device-width: 601px) and (device-height: 906px) and (-webkit-min-device-pixel-ratio: 1.331) and (-webkit-max-device-pixel-ratio: 1.332) and (orientation: landscape) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/*NEXUS 9 PORTRAIT*/
@media screen and (device-width: 1536px) and (device-height: 2048px) and (-webkit-min-device-pixel-ratio: 1.331) and (-webkit-max-device-pixel-ratio: 1.332) and (orientation: portrait) {
  .top-navigation-bar {
    position: relative !important;
  }
}

/* NEXUS 9 LANDSCAPE */
@media screen and (device-width: 1536px) and (device-height: 2048px) and (-webkit-min-device-pixel-ratio: 1.331) and (-webkit-max-device-pixel-ratio: 1.332) and (orientation: landscape) {
  .top-navigation-bar {
    position: relative !important;
  }
}
/**********************
  This overrides the non-WCAG bootstrap configurations
  ****/
a:link {
  color: #3030FF;
}

a:visited {
  color: purple;
}

.footerLinks > a {
  color: #BFE6F4;
}

  .footerLinks > a:active,
  .footerLinks > a:hover {
    color: #63BFEE;
    text-decoration: underline;
  }

.alert-info {
  color: #235076 !important;
  background-color: #d9edf7;
  border-color: #bce8f1;
}

div ul {
  list-style-type: none;
}


/* Buttons */
.btn-default {
  background-image: none !important;
}
.btn-primary {
  color: #ffffff !important;
  background-color: #033c73 !important;
  border-color: #033c73 !important;
  background-image: none !important;
  /*Contrast Ratio 11.06:1 AAA  */
}

.btn-info {
  color: #000 !important;
  background-color: #5bc0de !important;
  border-color: #46b8da !important;
  background-image: none !important;
  /*Contrast Ratio 10.03:1 AAA --COLOR : 520A00   7.15:1 AAA */
}

.btn-success {
  color: #1a1a1a !important;
  background-color: #5cb85c !important;
  border-color: #4cae4c !important;
  background-image: none!important;
  /*Contrast Ratio 7.01:1 fail   */
}

.btn-warning {
  color: #000 !important;
  background-color: #ff6505 !important;
  border-color: #f0ad4e !important;
  background-image: none !important;
}

.btn-danger {
  color: #fff !important;
  background-color: #ae191e !important;
  border-color: #ae191e !important;
  background-image: none !important;
  /*Contrast Ratio 7.1:1  AAA  */
}

.btn-link {
  color: #3277B3 !important;
  background-image: none !important;
  /*Contrast Ratio 4.5:1  AA  */
}


/* Panels */
/* All current panel bodies Contrast Ratio 12.63:1  AAA */
/* All current panel footers Contrast Ratio 11.58:1  AAA */


.panel-default {
  border-color: #dddddd !important;
}

  /*Contrast Ratio 7.16:1  AAA  */
  .panel-default > .panel-heading {
    color: #525252 !important;
    background-color: #f5f5f5 !important;
    border-color: #dddddd !important;
  }

    .panel-default > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #dddddd !important;
    }

    .panel-default > .panel-heading .badge {
      color: #f5f5f5 !important;
      background-color: #525252 !important;
    }

  .panel-default > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #dddddd !important;
  }

.panel-primary {
  border-color: #dddddd !important;
}

  /*Contrast Ratio 11.06:1 AAA  */
  .panel-primary > .panel-heading {
    color: #ffffff !important;
    background-color: #033c73 !important;
    border-color: #dddddd !important;
  }

    .panel-primary > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #dddddd !important;
    }

    .panel-primary > .panel-heading .badge {
      color: #033c73 !important;
      background-color: #ffffff !important;
    }

  .panel-primary > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #dddddd !important;
  }

.panel-success {
  border-color: #dddddd !important;
}

  .panel-success > .panel-title {
    color: #000 !important;
  }

  .panel-success > .panel-heading {
    color: #1a1a1a !important;
    background-color: #5cb85c !important;
    border-color: #dddddd !important;
  }

    .panel-success > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #dddddd !important;
    }

    .panel-success > .panel-heading .badge {
      color: #5cb85c !important;
      background-color: #1a1a1a !important;
    }

  .panel-success > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #dddddd !important;
  }

.panel-info {
  border-color: #dddddd !important;
}

  .panel-info > .panel-title {
    color: #000 !important;
  }

  .panel-info > .panel-heading {
    color: #000 !important;
    background-color: #5bc0de !important;
    border-color: #46b8da !important;
  }

    .panel-info > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #46b8da !important;
    }

    .panel-info > .panel-heading .badge {
      color: #000 !important;
      background-color: #46b8da !important;
    }

  .panel-info > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #46b8da !important;
  }

.panel-warning {
  border-color: #dddddd !important;
}

  .panel-warning .panel-title {
    color: #000 !important;
  }

  .panel-warning > .panel-heading {
    color: #c09853 !important;
    background-color: #ff6505 !important;
    border-color: #dddddd !important;
  }


    .panel-warning > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #dddddd !important;
    }

    .panel-warning > .panel-heading .badge {
      color: #ff6505 !important;
      background-color: #c09853 !important;
    }

  .panel-warning > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #dddddd !important;
  }

.panel-danger {
  border-color: #dddddd !important;
}

  .panel-danger > .panel-title {
    color: #fff !important;
  }

  .panel-danger > .panel-heading {
    color: #fff !important;
    background-color: #ae191e !important;
    border-color: #dddddd !important;
  }

    .panel-danger > .panel-heading + .panel-collapse > .panel-body {
      border-top-color: #dddddd !important;
    }

    .panel-danger > .panel-heading .badge {
      color: #ae191e !important;
      background-color: #b94a48 !important;
    }

  .panel-danger > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #dddddd !important;
  }


/* ** Datatable.net  ** */
.pagination > li > a,
.pagination > li > span {
  color: #265a97 !important;
  /* Contrast Ratio 7.01:1 AAA */
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
  color: #ffffff !important;
  background-color: #265a97 !important;
  /* Contrast Ratio 7.01:1 AAA */
}

.pagination > .disabled > span,
.pagination > .disabled > span:hover,
.pagination > .disabled > span:focus,
.pagination > .disabled > a,
.pagination > .disabled > a:hover,
.pagination > .disabled > a:focus {
  color: #999999 !important;
  cursor: not-allowed;
  background-color: #ffffff !important;
  border-color: #ddd;
}
